### Function

# GimpUi help_connect

unstable since: 3.0

#### Declaration [src]

    void
    gimp_help_connect (
      GtkWidget* widget,
      GimpHelpFunc help_func,
      const gchar* help_id,
      gpointer help_data,
      GDestroyNotify help_data_destroy
    )

#### Description [src]

Note that this function is automatically called by all libgimp dialog constructors. You only have to call it for windows/dialogs you created “manually”.

Available since: 3.0

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget you want to connect the help accelerator for. Will be a `GtkWindow` in most cases.

  The data is owned by the caller of the function.

`help_func`

  Type: `GimpHelpFunc`

  The function which will be called if the user presses “F1”.

`help_id`

  Type: `const gchar*`

  The `help_id` which will be passed to `help_func`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`help_data`

  Type: `gpointer`

  The `help_data` pointer which will be passed to `help_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`help_data_destroy`

  Type: `GDestroyNotify`

  Destroy function for `help_data`.